# -*- coding: utf-8 -*-
""" tests for zookeeper

.. moduleauthor:: Rohan Monga <rohan@whisper.sh>

"""
from wdslib.pytools import Config
from tests import test_config


def test_config_connect():
    Config.connect()
    assert Config.zk.connected is True
    Config.disconnect()
    assert Config.zk.connected is False


def test_set_get_config():
    Config.connect()
    Config.set_config("test", "test")
    assert Config.get_config("test") == "test"
    assert Config.delete_config("test") is True
    Config.disconnect()


test_config_connect()
test_set_get_config()
