from abc import ABCMeta, abstractmethod

class Vectorizer:
    __metaclass__ = ABCMeta

    @abstractmethod
    def vectorize(self, text):
        pass

from Word2VecEmbedder import Word2VecEmbedder
from BOWVectorizer import BOWVectorizer
from Sequencer import Sequencer
from OrdSequencer import OrdSequencer
