# -*- coding: utf-8 -*-
"""

.. moduleauthor:: Rohan Monga <rohan@whisper.sh>

"""
try:
    from Queue import Queue
except ImportError:
    from queue import Queue

from ordered_set import OrderedSet


class OrderedSetQueue(Queue):
    def _init(self, maxsize):
        self.queue = OrderedSet()

    def _put(self, item):
        self.queue.add(item)

    def _get(self):
        return self.queue.pop()
